org.keycloak.picketlink.idm

## Class LDAPKeycloakCredentialHandler

- java.lang.Object
- - org.picketlink.idm.credential.handler.AbstractCredentialHandler<org.picketlink.idm.ldap.internal.LDAPIdentityStore,org.picketlink.idm.credential.UsernamePasswordCredentials,org.picketlink.idm.credential.Password>
  - - org.picketlink.idm.ldap.internal.LDAPPlainTextPasswordCredentialHandler
    - - org.keycloak.picketlink.idm.LDAPKeycloakCredentialHandler

- All Implemented Interfaces:
    org.picketlink.idm.credential.handler.CredentialHandler

      public class LDAPKeycloakCredentialHandler
      extends org.picketlink.idm.ldap.internal.LDAPPlainTextPasswordCredentialHandler

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDAPKeycloakCredentialHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.picketlink.idm.model.basic.User` | `getAccount(org.picketlink.idm.spi.IdentityContext context, String loginName)`
    `protected boolean` | `validateCredential(org.picketlink.idm.spi.IdentityContext context, org.picketlink.idm.credential.storage.CredentialStorage credentialStorage, org.picketlink.idm.credential.UsernamePasswordCredentials credentials, org.picketlink.idm.ldap.internal.LDAPIdentityStore ldapIdentityStore)`

    - ### Methods inherited from class org.picketlink.idm.ldap.internal.LDAPPlainTextPasswordCredentialHandler

      `createCredentialStorage, getAccount, getCredentialStorage, update`

    - ### Methods inherited from class org.picketlink.idm.credential.handler.AbstractCredentialHandler

      `getAccountById, getDefaultLoginNameProperty, getIdentityManager, isDebugEnabled, setup, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LDAPKeycloakCredentialHandler

          public LDAPKeycloakCredentialHandler()

  - ### Method Detail

    - #### getAccount

          protected org.picketlink.idm.model.basic.User getAccount(org.picketlink.idm.spi.IdentityContext context,
                                                       String loginName)

      Overrides:
        `getAccount` in class `org.picketlink.idm.credential.handler.AbstractCredentialHandler`

    - #### validateCredential

          protected boolean validateCredential(org.picketlink.idm.spi.IdentityContext context,
                                   org.picketlink.idm.credential.storage.CredentialStorage credentialStorage,
                                   org.picketlink.idm.credential.UsernamePasswordCredentials credentials,
                                   org.picketlink.idm.ldap.internal.LDAPIdentityStore ldapIdentityStore)

      Overrides:
        `validateCredential` in class `org.picketlink.idm.ldap.internal.LDAPPlainTextPasswordCredentialHandler`

Copyright © 2015. All Rights Reserved.